%define upstream_name    Lchown
%define upstream_version 1.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 22

Summary:    Use the lchown(2) system call from Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl-devel

%description
Provides a perl interface to the 'lchown()' system call, on platforms that
support it.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

# Fix permissions
%_fixperms %{buildroot}%perl_vendorarch

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorarch/*
%exclude %dir %perl_vendorarch/auto/


%changelog
* Mon Jan 20 2025 wally <wally> 1.10.0-22.mga10
+ Revision: 2140125
- rebuild with perl-5.40.0-3.mga10
- fix .so module file permissions and debug info extraction

* Fri Aug 23 2024 tv <tv> 1.10.0-21.mga10
+ Revision: 2089634
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 1.10.0-20.mga10
+ Revision: 2012339
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 1.10.0-19.mga9
+ Revision: 1875094
- Rebuild for perl-5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.10.0-18.mga9
+ Revision: 1795280
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 1.10.0-17.mga8
+ Revision: 1606982
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 1.10.0-16.mga8
+ Revision: 1508353
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1.10.0-15.mga7
+ Revision: 1293314
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.10.0-14.mga7
+ Revision: 1249505
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.10.0-13.mga7
+ Revision: 1165098
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.10.0-12.mga7
+ Revision: 1159100
- rebuild with perl-5.26.x

* Sun Jun 19 2016 pterjan <pterjan> 1.10.0-11.mga6
+ Revision: 1029129
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.10.0-10.mga6
+ Revision: 957598
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.10.0-9.mga6
+ Revision: 842754
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-8.mga5
+ Revision: 747894
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-7.mga5
+ Revision: 685197
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.10.0-6.mga5
+ Revision: 631362
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.10.0-5.mga4
+ Revision: 524382
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.10.0-4.mga4
+ Revision: 430770
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.10.0-3.mga3
+ Revision: 368976
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.10.0-2.mga3
+ Revision: 250844
- rebuild for perl 5.16
- imported package perl-Lchown


* Sat Aug 20 2011 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
